Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Macros | Typedefs | Functions | Variables
pointer.c File Reference
`#include <ruby/ruby.h>`
`#include <ruby/io.h>`
`#include <ctype.h>`
`#include <fiddle.h>`

Go to the source code of this file.

## Data Structures
struct | ptr_data

## Macros
#define | RB_OBJ_CLASSNAME(obj) rb_obj_class(obj)
#define | RB_OBJ_STRING(obj) (obj)
#define | RPTR_DATA(obj) ((struct ptr_data *)(DATA_PTR(obj)))

## Typedefs
typedef void(* | freefunc_t) (void *)

## Functions
void | Init_fiddle_pointer (void)

## Variables
VALUE | rb_cPointer

## Macro Definition Documentation

## ◆ RB_OBJ_CLASSNAME

#define RB_OBJ_CLASSNAME | ( |  | obj | ) | rb_obj_class(obj)

Definition at line 11 of file pointer.c.

## ◆ RB_OBJ_STRING

#define RB_OBJ_STRING | ( |  | obj | ) | (obj)

Definition at line 12 of file pointer.c.

## ◆ RPTR_DATA

#define RPTR_DATA | ( |  | obj | ) | ((struct ptr_data *)(DATA_PTR(obj)))

Definition at line 30 of file pointer.c.

## Typedef Documentation

## ◆ freefunc_t

typedef void(* freefunc_t) (void *)

Definition at line 21 of file pointer.c.

## Function Documentation

## ◆ Init_fiddle_pointer()

void Init_fiddle_pointer | ( | void |  | ) |

Definition at line 676 of file pointer.c.

## Variable Documentation

## ◆ rb_cPointer

VALUE rb_cPointer

Definition at line 19 of file pointer.c.